import httpRequest from '@/utils/axios'

/**
 * 获取权限列表
 */
export function getPermissionList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/permissions`, { params })
}

/**
 * 创建权限
 */
export function createPermission(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/permission`, data)
}

/**
 * 修改权限
 */
export function updatePermission(id, data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${id}/permission`, data)
}

/**
 * 批量删除权限
 */
export function deletePermissions(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/batch-delete/permissions`, data)
}
