import httpRequest from '@/utils/axios'

/**
 * 获取角色列表
 */
export function getRoleList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/roles`, { params })
}

/**
 * 创建角色
 */
export function createRole(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/role`, data)
}

/**
 * 修改角色
 */
export function updateRole(id, data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${id}/role`, data)
}

/**
 * 批量删除角色
 */
export function deleteRoles(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/batch-delete/roles`, data)
}
